Hyenae Daemon(1)

NAME
hyenaed - Advanced Network Packet Generator Daemon

SYNOPSIS
hyenaed -l (Prints all available network interfaces and exits) hyenaed -V (Prints daemon version and exits) hyenaed -i | -I [Network interface name | index]
        -c &| -u [Packet count limit &| Attack duration limit]
        OPTIONAL:
        -a [IP-Address to bind to]
        -p [Port to listen on]
        -b [Max backlog connections]
        -t [Trusted IP-Address list file]
        -T [Untrusted IP-Address list file]
        -A [Assumed IP-Address version on random address strips]
        -m [Max client connections]
        -k [Deamon password]
        -f [log file]

DESCRIPTION
Hyenae is a highly flexible and platform independent network packet generator. It allows you to reproduce low level ethernet attack scenarios (such as MITM, DoS and DDoS) to reveal potential security vulnerabilities of your network. Besides smart wildcard-based address randomization and a highly customizable packet generation control, Hyenae comes with a clusterable remote daemon for setting up distributed attack networks. Hyenae was developed with ease-of-use in mind while still remaining flexible and configurable. To realize this aim, Hyenae uses address patterns, which will minimize the number of arguments you have to provide because all necessary parameters, such as the way you want to randomize your addresses or the IP address version to use, can be derived from the pattern format you provided. See Hyenae Users Manual, "Address Patterns", for more detailed information. This utility suite was developed only for network security testing purposes such as evaluation of firewall rules, flood detection and intrusion detection. Hyenae's developers disclaim all liability for any direct, indirect or consequential damages arising out of or connected with the use or misuse of Hyenae Utility Suite. The user alone assumes all risks and responsibility of his/her own actions associated with the use of the Hyenae Utility Suite. Every effort has been made to supply accurate information related to Hyenae. It is subject to change without prior notice.

OPTIONS
-i Network interface to attack on
      (specified by name). This will not set
      the network interface on which to
      listen for connections. -I Network interface to attack on
      (specified by index). This will not
      set the network interface on which to
      listen for connections. A list of all
      available network interfaces and their
      indexes can be obtained by starting
      Hyenae with the -l option. -a IP address to bind the daemon's
      server socket to. If not given, the
      daemon will bind to any capable
      network interface on this machine. The
      Hyenae Daemon can not be bound to the
      network interface you want to attack
      from. -p The port number on which the
      daemon shall listen for incoming
      connections. By default the daemon
      will listen on port 666. -b Number of backlog connections
      the daemon shall handle. The default
      value is 5. -t Trusted IP address list.
      Specifies an IP list file which will
      be used as a trusted list of IP
      addresses. If set, only clients using
      the specified IP addresses will be
      allowed to connect to the daemon. An
      IP address list has the following
      format:
        # Comment
        IP-Address=[IP-Address]
        IP-Address=[IP-Address]
        ...
      Wildcards are not valid within IP
      address list files. -T Untrusted IP address list.
      Specifies an IP list file which will
      be used as a list of untrusted IP
      addresses. If set, all clients using
      the specified IP addresses will not be
      able to connect to the daemon. An IP
      address list has the following format:
        # Comment
        IP-Address=[IP-Address]
        IP-Address=[IP-Address]
        ...
      Wildcards are not valid within IP
      address list files. -A IP version the listening socket
      shall use. This can be either 4 or 6.
      The default version is 4 (IPv4). -c Packet limit for clients.
      Specifies the maximum number of
      packets a single client can request to
      attack with. If not set or set to 0,
      you must specify an attack duration
      limit. -u Attack duration limit for
      clients. Specifies the maximum number
      of milliseconds a single client can
      request to attack for. If not set or
      set to 0, you must specify a packet
      limit. -m Maximum number of clients
      allowed to connect. The default value
      is 10. -k Password protection. If set,
      only clients which are using this
      password will be able to control this
      daemon. Note: Since Hyenae currently
      does not support encrypted
      communication, your password is
      transferred in plain text, and can be
      logged by others. -f Log-File path. By default, all
      daemon logs will be written to
      /var/log/hyenaed.log on *nix systems
      or .\hyenaed.log on windows systems. -l Prints a list of all available
      network interfaces and exits. -V Prints the current version of
      Hyenae and exits.

SEE ALSO
  hyenae(1)

AUTHOR
  Robin Richter (richterr@users.sourceforge.net)